REST API›Wallet & Transact›Federation

GET

Resolve a Stellar address by name or look up an account by its ID.

Path Params

  • coin string required
    Stellar network coin, such as xlm or txlm.

Query Params

  • q string required
    Stellar address or account ID to look up.

    at least 1 characters

  • type string enum required
    Lookup by Stellar address or account ID.
    nameid

Responses

200
OK

Response Body

object

  • account_id string
  • stellar_address string
  • memo_type string
  • memo string
400
Bad Request

Response Body

ONE OF

  • detail string required
  • error string required
  • name string
  • requestId string
404
Not Found

Response Body

ONE OF

  • detail string required
  • error string required
  • name string
  • requestId string
500
Internal Server Error

Response Body

object

  • error string required
  • requestId string required
503
Service Unavailable

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id